[PATCH 24/24] devel: add script to test out-of-tree builds

Subject: [PATCH 24/24] devel: add script to test out-of-tree builds

Date: Mon, 25 Sep 2017 23:38:40 +0300

To: notmuch@notmuchmail.org

Cc:

From: Jani Nikula


Something I used for 'git bisect run', but we should really add this
as part of our process.

Can also be used for running out-of-tree tests with e.g.:

$ devel/out-of-tree-build-check.sh V=1 test
---
 devel/out-of-tree-build-check.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 devel/out-of-tree-build-check.sh

diff --git a/devel/out-of-tree-build-check.sh b/devel/out-of-tree-build-check.sh
new file mode 100755
index 000000000000..917752ff72cb
--- /dev/null
+++ b/devel/out-of-tree-build-check.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# test out-of-tree builds in a temp directory
+# passes all args to make
+
+set -eu
+
+srcdir="$(cd "$(dirname "$0")"/.. && pwd)"
+builddir=$(mktemp -d)
+
+cd $builddir
+
+$srcdir/configure
+make "$@"
+
+cd $srcdir
+rm -rf $builddir
-- 
2.11.0

_______________________________________________
notmuch mailing list
notmuch@notmuchmail.org
https://notmuchmail.org/mailman/listinfo/notmuch

Thread: